WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Jigoshop German (de_DE)

This plugin extends the Jigoshop shop plugin with fully translated German language packs. - Jigoshop endlich komplett auf deutsch und immer aktuell!

Ist die Unterstützung der "Button-Lösung" gesichert?

JA! Volle Unterstützung! Ab Version 1.5.0 (13. Juni 2012) unterstützt dieses Plugin die sogen. "Button-Lösung" für den Online-Handel - dieses Gesetz tritt ab 1. August 2012 in Kraft. Natürlich kann man die vorgeschriebenen Texte bereits ab sofort nutzen. Logo :)

  • Die Standardeinstellung der Sprachdateien für Jigoshop 1.4.9 oder höher (sowie alle ab jetzt, 14.12.2012 folgenden Sprachdateien) ist gesetzt auf: "Kaufen" ---> dies ist die mittlerweile gängigste und meisten gewünschte aller Formulierungen und zugleich die Universellste, daher der Standard!
  • Zur Erleichterung von Anpassungen gibt es ab Version 1.5.0 gleich 3 (drei!) Helfer-Funktionen:

Helfer-Funktion 1:

/** Jigoshop German (de_DE): Kasse Bestell-Button "Kaufen" */
add_filter( 'jigoshop_order_button_text', '__jsde_order_button_kaufen' );

(Hinweis: Dies ist der Standard, d.h. in aller Regel braucht man diese Funktion nicht - höchstens bei angepassten eigenen Sprach-Dateien im Theme-Ordner, somit kann man immer die Button-Lösung erfüllen!)

Helfer-Funktion 2:

/** Jigoshop German (de_DE): Kasse Bestell-Button "Zahlungspflichtig bestellen" */
add_filter( 'jigoshop_order_button_text', '__jsde_order_button_zahlungspflichtig_bestellen' );

Helfer-Funktion 3:

/** Jigoshop German (de_DE): Kasse Bestell-Button "Zahlungspflichtigen Vertrag schließen" */
add_filter( 'jigoshop_order_button_text', '__jsde_order_button_zahlungspflichtigen_vertrag' );

--> Wohin mit den jeweiligen Code-Schnipseln?: EINEN von den 3 Code-Schnipeln in die Datei functions.php des Themes/Child Themes oder in die custom_functions.php (bei "Thesis" und einigen anderen Themes/Frameworks) oder in ein sogen. "Functionality-Plugin" einfügen.

GANZ WICHTIG: Eine RechtsBERATUNG zu diesem Themenkomplex kann NUR durch einen ANWALT erfolgen (am besten auf Online-Recht spezilisierte Anwälte!). Bitte auch Infos in den einschlägigen Blogs für Shopbetreiber, der (Fach-) Presse sowie von den Industrie- und Handelskammern beachten. -- Ich als Plugin-Entwickler kann via Sprachdatei KEINE "Rechtssicherheit" garantieren, dies können nur Shop-Betreiber selbst, mit anwaltlicher Unterstützung!

Kommt es zu Konflikten mit den bestehenden Sprachdateien?

Nein. Die Sprachdateien von diesem Plugin hier werden eher geladen. Die im Shop-Plugin vorhandenen Dateien werden einfach ignoriert.

Es ist immer noch alles in Englisch, Übersetzungen werden nicht angezeigt, was tun?

Das liegt höchstwahrscheinlich daran, dass in WordPress noch kein Sprachcode eingetragen wurde. Dies muss in der Datei wp-config.php gemacht werden (dort, wo auch die sonstigen Datenbankparameter etc. sind). -- Folgende Zeile muss in der wp-config.php stehen: define( 'WPLANG', 'de_DE' );

Wie kann die DU-Version aktiviert werden?

Einfach eine entsprechende Sprachdatei mit diesem Dateinamen jigoshop-de_DE.mo Datei in folgenden Ordner im aktiven Theme bzw. Child Theme einfügen: /wp-content/hier-dein-theme/jigoshop/du-version/ -- dann lädt das Plugin automatisch diese Datei und ignoriert alle anderen!

Die Bonus-Datei dafür ist im Ordner "bonus_du-version" enthalten :-)

Nicht komplett: es sind immer noch einzelne Worte bzw. Passagen auf Englisch!

Dafür kann ich nichts, im Original-Plugin sind immer noch einige wenige Textdomains falsch gesetzt, sodass die bereits vorhandenen Übersetzungen in der Sprachdatei nicht angezeigt werden. Ich bin aber bereits dran, das zusammen mit den Enwicklern zu verbessern! Ausserdem kann es sein, dass einige Passagen noch nicht übersetzbar gemacht worden sind, d.h. noch keine PHP-Gettext-Funktionalität implementiert wurde. Auch hier sind wir in Kontakt...

Durch Übersetzungsfehler habe ich Probleme mit Kunden bekommen...

Dafür kann ich nichts! Siehe Haftungsausschluss: Durch den Einsatz dieses Plugins und der damit angebotenen Sprachdateien entstehen KEINE Garantien für eine korrekte Funktionsweise oder etwaige Verpflichtungen durch den Übersetzer! — Alle Angaben ohne Gewähr. Änderungen und Irrtümer ausdrücklich vorbehalten. Verwendung des Plugins inkl. Sprachdateien geschieht ausschliesslich auf eigene Verantwortung!

Hinweis: Dieses Plugin ist ein reines Sprach-/ Übersetzungs-Plugin, es hat nichts mit "Rechtssicherheit" zu tun. Für alle rechtlichen Fragen ist der Shop-Betreiber zuständig, nicht die "Sprachdatei"!

Warum hat dieses Plugin keine weitere Funktion X, Y?

Ganz einfach, es handelt sich um ein reines Sprach- bzw. Übersetzungs-Plugin, welches das Shop-Plugin selbst eindeutscht. Weitere Funktionen/ Features sind nicht vorgesehen, da diese nur den Code unnötig aufblähen und die Pflege erschweren. Für derartige Funktionserweiterungen sind evtl. andere Plugins in Planung - bzw. auch von anderen (deutschen) WordPress-Entwicklern.

Requires: 3.1 and Jigoshop 1.2.3+ or higher
Compatible up to: 3.5.2
Last Updated: 2012-12-14
Downloads: 7,001

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,3,3 100,1,1 100,2,2 100,2,2 100,4,4 100,1,1 100,4,4 100,1,1 100,1,1 100,1,1
100,4,4 100,1,1 100,2,2 100,3,3 100,4,4 100,1,1 100,4,4 100,1,1 100,1,1 100,1,1
100,2,2 100,4,4 100,1,1 100,4,4 100,1,1 100,1,1 100,1,1
100,4,4 100,4,4 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,4,4 100,4,4 100,2,2
100,4,4 100,4,4 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,4,4 100,4,4 100,2,2
100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 100,4,4 100,4,4 100,2,2
100,4,4 100,2,2
100,1,1
100,1,1